> ## Documentation Index
> Fetch the complete documentation index at: https://gcore-doc-1256a.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign allowed address pairs for instance port

> Deprecated. Use PATCH /v1/ports/{`project_id`}/{`region_id`}/{`port_id`} instead.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml put /cloud/v2/ports/{project_id}/{region_id}/{port_id}/allow_address_pairs
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: b16bea63ae2e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v2/ports/{project_id}/{region_id}/{port_id}/allow_address_pairs:
    put:
      tags:
        - Instances
      summary: Assign allowed address pairs for instance port
      description: >-
        Deprecated. Use PATCH /v1/ports/{`project_id`}/{`region_id`}/{`port_id`}
        instead.
      operationId: AllowPortAddressPairsHandlerV2.put
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: port_id
          required: true
          description: Port ID
          schema:
            description: Port ID
            example: 1f0ca628-a73b-42c0-bdac-7b10d023e097
            examples:
              - 1f0ca628-a73b-42c0-bdac-7b10d023e097
            format: uuid4
            title: Port Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAllowPortAddressPairsSerializerV2'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIDsSerializer'
      deprecated: true
components:
  schemas:
    CreateAllowPortAddressPairsSerializerV2:
      properties:
        allowed_address_pairs:
          default: []
          description: A set of zero or more allowed port address pair and/or subnet masks
          example:
            - ip_address: 192.168.123.20
              mac_address: 00:16:3e:f2:87:16
            - ip_address: 192.168.0.0/17
              mac_address: 00:16:3e:f2:87:89
          examples:
            - - ip_address: 192.168.123.20
                mac_address: 00:16:3e:f2:87:16
              - ip_address: 192.168.0.0/17
                mac_address: 00:16:3e:f2:87:89
          items:
            $ref: '#/components/schemas/AllowedAddressPairsSerializer'
          maxItems: 10
          title: Allowed Address Pairs
          type: array
      title: CreateAllowPortAddressPairsSerializerV2
      type: object
    TaskIDsSerializer:
      properties:
        tasks:
          description: >-
            List of task IDs representing asynchronous operations. Use these IDs
            to monitor operation progress:

            - `GET /v1/tasks/{task_id}` - Check individual task status and
            details

            Poll task status until completion (`FINISHED`/`ERROR`) before
            proceeding with dependent operations.
          example:
            - d478ae29-dedc-4869-82f0-96104425f565
          examples:
            - - d478ae29-dedc-4869-82f0-96104425f565
          items:
            type: string
          title: Tasks
          type: array
      required:
        - tasks
      title: TaskIDsSerializer
      type: object
    AllowedAddressPairsSerializer:
      properties:
        ip_address:
          anyOf:
            - format: ipvanyaddress
              type: string
            - format: ipvanynetwork
              type: string
          description: >-
            Subnet mask or IP address of the port specified in
            `allowed_address_pairs`
          title: Ip Address
        mac_address:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: MAC address of the port specified in `allowed_address_pairs`
          title: Mac Address
      required:
        - ip_address
      title: AllowedAddressPairsSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````